import importlib.metadata
import os

__version__ = importlib.metadata.version("auto-proto")

import sys
from pathlib import Path

from .utils import in_virtualenv

AUTO_PROTO_DATA_PATH = Path(sys.prefix, "share", "auto-proto")
AUTO_PROTO_COMPOSE_PATH = AUTO_PROTO_DATA_PATH.joinpath("compose")

if in_virtualenv():  # pragma: no cover
    dev_data_path = Path(sys.prefix).parent.joinpath("data", "share", "auto-proto")
    if dev_data_path.exists():
        AUTO_PROTO_DATA_PATH = dev_data_path
        if dev_data_path.joinpath("compose").exists():
            AUTO_PROTO_COMPOSE_PATH = dev_data_path.joinpath("compose")

if "RPM_CHECK" in os.environ:  # pragma: no cover
    AUTO_PROTO_DATA_PATH = Path(__file__).parents[4].joinpath("share", "auto-proto")
    AUTO_PROTO_COMPOSE_PATH = AUTO_PROTO_DATA_PATH.joinpath("compose")

AUTO_PROTO_DEFAULT_CONF_PATH = Path(AUTO_PROTO_DATA_PATH, "conf")
AUTO_PROTO_LOCAL_CONF_FILENAME = "auto-proto.toml"
AUTO_PROTO_GLOBAL_CONF_FILENAME = ".auto-proto.toml"
AUTO_PROTO_GLOBAL_CONF_FILE = Path.home().joinpath(AUTO_PROTO_GLOBAL_CONF_FILENAME)

AUTO_PROTO_DEFAULT_CONTAINERS_BUILD_ORDER = 80
