from pathlib import Path

from auto_proto import AUTO_PROTO_DATA_PATH
from auto_proto.utils import in_notebook

AUTO_PROTO_ANSIBLE_PATH = Path(AUTO_PROTO_DATA_PATH, "ansible")

if in_notebook():  # pragma: no cover
    from auto_proto.ansible.monkeypatch import (
        monkeypatch_ansible_display_sync,
        monkeypatch_ansible_display_sys_stdout_reconfiguration,
        monkeypatch_ansible_plugins_loader_module,
    )

    monkeypatch_ansible_display_sys_stdout_reconfiguration()
    monkeypatch_ansible_display_sync()
    monkeypatch_ansible_plugins_loader_module()
else:
    from auto_proto.ansible.monkeypatch import (
        monkeypatch_ansible_context,
        monkeypatch_ansible_plugins_loader_module,
    )

    monkeypatch_ansible_context()
    monkeypatch_ansible_plugins_loader_module()

AUTO_PROTO_DEFAULT_INVENTORY = AUTO_PROTO_ANSIBLE_PATH / "inventory"
