from pathlib import Path

from auto_proto import AUTO_PROTO_DATA_PATH
from auto_proto.settings import settings
from auto_proto.utils import in_auto_proto


def get_ansible_playbook_paths():
    ansible_playbooks = []
    ansible_playbooks_path = (
        Path(settings.centos_sig.auto_proto.playbooks_dir)
        if in_auto_proto()
        else Path(AUTO_PROTO_DATA_PATH, "ansible")
    )

    ansible_playbooks += ansible_playbooks_path.glob("*.yaml")
    ansible_playbooks += ansible_playbooks_path.glob("*.yml")

    return ansible_playbooks


def get_ansible_playbook_names():
    return [playbook.name for playbook in get_ansible_playbook_paths()]


def get_ansible_playbook_path_from_name(name):
    ansible_playbook_paths = get_ansible_playbook_paths()
    for playbook_path in ansible_playbook_paths:
        if playbook_path.name == name:
            return playbook_path
    return None
