import auto_proto.utils
from auto_proto.utils.addons import AddonType, get_addons_metadata

BASE_DIR = auto_proto.utils.find_project_settings().parent.as_posix()
BUILD_DIR = (auto_proto.utils.find_project_settings().parent / "build").as_posix()
CENTOS_SIG = {
    "auto_proto": {
        "share_dir": auto_proto.AUTO_PROTO_DATA_PATH.as_posix(),
        "compose_dir": auto_proto.AUTO_PROTO_COMPOSE_PATH.as_posix(),
        "playbooks_dir": (auto_proto.AUTO_PROTO_DATA_PATH / "ansible").as_posix(),
        "templates": {
            "containers": {
                "quadlet": (
                    auto_proto.AUTO_PROTO_DATA_PATH / "systemd.container.j2"
                ).as_posix(),
                "containers_conf_path": (
                    auto_proto.AUTO_PROTO_DATA_PATH
                    / "containers"
                    / "containers.conf.j2"
                ).as_posix(),
                "storage_conf_path": (
                    auto_proto.AUTO_PROTO_DATA_PATH / "containers" / "storage.conf.j2"
                ).as_posix(),
            },
            "apps": {
                "bundle_script": (
                    auto_proto.AUTO_PROTO_DATA_PATH / "apps" / "bundle.sh.j2"
                ).as_posix(),
            },
            "compose": {
                "containers_conf_path": (
                    auto_proto.AUTO_PROTO_DATA_PATH / "compose" / "containers.conf.j2"
                ).as_posix(),
                "storage_conf_path": (
                    auto_proto.AUTO_PROTO_DATA_PATH / "compose" / "storage.conf.j2"
                ).as_posix(),
            },
            "osbuild": {
                "image_path": (
                    auto_proto.AUTO_PROTO_DATA_PATH / "image.mpp.yaml.j2"
                ).as_posix()
            },
            "aib": {
                "image_path": (
                    auto_proto.AUTO_PROTO_DATA_PATH / "image.aib.yaml.j2"
                ).as_posix()
            },
            "export": {
                "build_containers_script": (
                    auto_proto.AUTO_PROTO_DATA_PATH
                    / "export"
                    / "build-containers.sh.j2"
                ).as_posix(),
                "build_script": (
                    auto_proto.AUTO_PROTO_DATA_PATH / "export" / "build.sh.j2"
                ).as_posix(),
                "compose_script": (
                    auto_proto.AUTO_PROTO_DATA_PATH / "export" / "compose.sh.j2"
                ).as_posix(),
            },
        },
        "addons": get_addons_metadata(),
        "compose_addons": get_addons_metadata(AddonType.COMPOSE_ADDON),
    }
}
